import peasy.*;
import controlP5.*;
import java.util.Collections;

//PeasyCam
PeasyCam cam;
//ControlP5
ControlP5 controlP5;
PMatrix3D currCameraMatrix;
PGraphics3D g3; 

Table hdiDataTable;
Table mdsTable;
//Table similarityTable;

int dataRows, dataCols;
int mdsRows;
int mdsCols = 2;

//float[][] similarityMatrix;
String[][] hdiData;
float[][] mdsData;
String[] legendText = {"Very high human development", "High human development", "Medium human development", "Low human development"};

int[][] colorScheme = {{34,94,168},{65,182,196},{161,218,180}, {255,255,204}}; //high to low


PFont myHelvetica15 = createFont("Helvetica",15, true);
PFont myHelvetica25 = createFont("Helvetica",25, true);
//PFont countryNameFont = loadFont("Helvetica");

int pointTransparency=100;
int pointSize = 30;
float alpha;

int guiMarginX = 50;
int guiMarginY = 100;
int buttonWidth = 90;
int buttonHeight = 20;
int legendMarginX, legendMarginY;
int mdsStartX, mdsEndX;
int mdsStartY, mdsEndY;
int trendStartX, trendEndX;
int trendStartY, trendEndY;

float camDistance;

color labelColor;

float cam_angle_Y = 0;
float behind_cam_angle_Y = PI;

boolean globeOnValue = false;
boolean[] legendValues = {false, false, false, false};
boolean HDIPatternValue = true;
boolean labelOnValue = false;
int yearChoice=0;

float[] pXList;
float[] pYList;
float[] trendXPos;
int[] yearNumber = {1980,1990,2000,2005,2008,2010,2011,2012,2013};

