import urllib
import json
import csv

url = "http://data.undp.org/resource/y8j2-3vi9.json"
response = urllib.urlopen(url)

data = json.loads(response.read())

dataOutput = []

# print data[1]

# for item in data:
#     # if item["country"] == "Liechtenstein":
#     print item.get("_2000_hdi_value",)

for item in data:
    temp = []
    temp.append(item["country"].encode('utf-8'))
    if "_1980_hdi_value" in item.keys() and item["_1980_hdi_value"] != "..":
        temp.append(item["_1980_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    if "_1990_hdi_value" in item.keys() and item["_1990_hdi_value"] != "..":
        temp.append(item["_1990_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    if "_2000_hdi_value" in item.keys() and item["_2000_hdi_value"] != "..":
        temp.append(item["_2000_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    if "_2005_hdi_value" in item.keys() and item["_2005_hdi_value"] != "..":
        temp.append(item["_2005_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    if "_2008_hdi_value" in item.keys() and item["_2008_hdi_value"] != "..":
        temp.append(item["_2008_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    if "_2010_hdi_value" in item.keys() and item["_2010_hdi_value"] != "..":
        temp.append(item["_2010_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    if "_2011_hdi_value" in item.keys() and item["_2011_hdi_value"] != "..":
        temp.append(item["_2011_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    if "_2012_hdi_value" in item.keys() and item["_2012_hdi_value"] != "..":
        temp.append(item["_2012_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    if "_2013_hdi_value" in item.keys() and item["_2013_hdi_value"] != "..":
        temp.append(item["_2013_hdi_value"].encode('utf-8'))
    else:
        temp.append("Null")
    dataOutput.append(temp)

with open("output.csv", "wb") as fw:
    writer = csv.writer(fw)
    writer.writerows(dataOutput)
