void setupGUI() {
  
  controlP5.setFont(myHelvetica15);
  controlP5.addButton("globeOn")
           .setPosition(guiMarginX,guiMarginY)
           .setSize(buttonHeight,buttonHeight)
           .setLabelVisible(false)
           .setSwitch(true)  //set to switch
           //.setAutoUpdate(true)
           .setOn();
  controlP5.addTextlabel("globeOnLabel")
           .setText("Globe On")
           .setPosition(guiMarginX+buttonHeight+5,guiMarginY+2);

  controlP5.addButton("labelOn")
           .setPosition(guiMarginX,guiMarginY+(buttonHeight+10))
           .setSize(buttonHeight,buttonHeight)
           .setLabelVisible(false)
           .setSwitch(true)  //set to switch
           //.setAutoUpdate(true)
           .setOn();
  controlP5.addTextlabel("labelOnLabel")
           .setText("Label On")
           .setPosition(guiMarginX+buttonHeight+5,guiMarginY+(buttonHeight+10)+2);
           
  controlP5.addButton("HDIPattern")
           .setPosition(guiMarginX,guiMarginY+(buttonHeight+10)*2)
           .setSize(buttonHeight,buttonHeight)
           .setLabelVisible(false)
           .setSwitch(true)  //set to switch
           //.setAutoUpdate(true)
           .setOff();
  controlP5.addTextlabel("HDIPatternLabel")
           .setText("HDI Pattern & Trend")
           .setPosition(guiMarginX+buttonHeight+5,guiMarginY+(buttonHeight+10)*2+2);

  controlP5.addSlider("yearChoice")
           .setPosition(guiMarginX,guiMarginY+(buttonHeight+10)*3)
           .setSize(buttonWidth,buttonHeight)
           .setRange(0,8)
           .setNumberOfTickMarks(9)
           .setLabelVisible(false)
           //.setAutoUpdate(true)
           .setSliderMode(Slider.FLEXIBLE)
           //.showTickMarks(false)
           .setValue(0);
//  controlP5.addTextlabel("yearChoiceLabel")
//           .setText("Year")
//           .setPosition(guiMarginX+buttonWidth+5,guiMarginY+(buttonHeight+10)*3+2);
  
  controlP5.addButton("legend1")
           .setPosition(guiMarginX,legendMarginY-10)
           .setSize(buttonHeight,buttonHeight)
           .setLabelVisible(false)
           .setSwitch(true)
           //.setAutoUpdate(true)
           .setOn();
  controlP5.addButton("legend2")
           .setPosition(guiMarginX,legendMarginY-10+10+12)
           .setSize(buttonHeight,buttonHeight)
           .setLabelVisible(false)
           .setSwitch(true)
           //.setAutoUpdate(true)
           .setOn();
  controlP5.addButton("legend3")
           .setPosition(guiMarginX,legendMarginY-10+(10+12)*2)
           .setSize(buttonHeight,buttonHeight)
           .setLabelVisible(false)
           .setSwitch(true)
           //.setAutoUpdate(true)
           .setOn();
  controlP5.addButton("legend4")
           .setPosition(guiMarginX,legendMarginY-10+22*3)
           .setSize(buttonHeight,buttonHeight)
           .setLabelVisible(false)
           .setSwitch(true)
           //.setAutoUpdate(true)
           .setOn();
           
  controlP5.setAutoDraw(false); // gui won't disappear when setting the cam
}

void drawGUI() {
  hint(DISABLE_DEPTH_TEST);
  currCameraMatrix = new PMatrix3D(g3.camera);
  camera();
  controlP5.draw();
  g3.camera = currCameraMatrix;
}

void globeOn(){
  globeOnValue = !globeOnValue;
}

void labelOn(){
  labelOnValue = !labelOnValue;
}

void HDIPattern(){
  HDIPatternValue = !HDIPatternValue;
}

void legend1(){
  legendValues[0] = !legendValues[0];
}

void legend2(){
  legendValues[1] = !legendValues[1];
}

void legend3(){
  legendValues[2] = !legendValues[2];
}

void legend4(){
  legendValues[3] = !legendValues[3];
}




  
