void setup() {
  size(1280, 720, P3D);
  colorMode(RGB);
  labelColor = color(160);
  camDistance = 250;
    
  legendMarginX = 50 + buttonHeight + 15;
  legendMarginY = height-150;
  
  mdsEndX = width-45;
  mdsStartX = mdsEndX - 250 ;
  mdsEndY = guiMarginY +10;
  mdsStartY = mdsEndY + (height-100)/2;
  
  trendStartX = mdsStartX;
  trendEndX = mdsEndX;
  trendStartY = height-50;
  trendEndY = mdsStartY+60 +25;
  
  trendXPos = new float[9];
  trendXPos[0] = trendStartX+10;
  trendXPos[1] = trendStartX+10+(trendEndX-trendStartX-10)/4;
  trendXPos[2] = trendStartX+10+(trendEndX-trendStartX-10)/4*2;
  trendXPos[3] = trendStartX+10+(trendEndX-trendStartX-10)/40*25;
  trendXPos[4] = trendStartX+10+(trendEndX-trendStartX-10)/40*28;
  trendXPos[5] = trendStartX+10+(trendEndX-trendStartX-10)/40*30;
  trendXPos[6] = trendStartX+10+(trendEndX-trendStartX-10)/40*31;
  trendXPos[7] = trendStartX+10+(trendEndX-trendStartX-10)/40*32;
  trendXPos[8] = trendStartX+10+(trendEndX-trendStartX-10)/40*33;
  
  readData();
  cam = new PeasyCam(this, 0, 0, 0, 250);
//  cam.lookAt(-width/4,0,0);
  cam.setMinimumDistance(150);
  cam.setMaximumDistance(300);

  
  //setting up the gui
  controlP5 = new ControlP5(this);
  g3 = (PGraphics3D)g;
  setupGUI();

  
  
}


